Update webhook subscription
Change at least one subscription field. Omitted fields keep their values. Required scope: `webhooks:manage`.
Preferred authentication header.
In: header
Path Parameters
Subscription ID returned when creating or listing webhooks.
^[a-fA-F0-9]{24}$24 <= length <= 24Request Body
application/json
JSON object. Unknown properties are rejected.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://api.agent-brains.com/webhooks/stringstringstringstring" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"url": "http://example.com",
"events": [
"message.created"
],
"employee_ids": [
"string"
],
"enabled": true,
"created_at": "2019-08-24T14:15:22Z"
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}